(function() {
    $(function() {
        Token.init();

        var token = Token.get(),
            type = "ADDRESS",
            $suggestions = $("#suggestions"),
            $party = $("#party"),
            $fixDataButton = $("#fixData"),
			$house_fias_id = '',
			$geo_lat = '',
			$geo_lon = '',

			

        // просто подсказки
			suggestionsInstance = $suggestions.suggestions({
				token: token,
				type: type,
				hint: false,
				addon: "clear",
				noSuggestionsHint: false,
				onSelect:function(data){
					var house_fias_id = data['data']['house_fias_id'];
					var unrestricted_value = data['unrestricted_value'];
					var short_address = data['value'];
					var oktmo = data['data']['oktmo'];
					$( "#house_fias_id" ).empty();
					$( "#house_fias_id" ).append(house_fias_id);
					$( "#unrestricted_value" ).empty();
					$( "#unrestricted_value" ).append(unrestricted_value);
					$( "#short_address" ).empty();
					$( "#short_address" ).append(short_address);
					$( "#oktmo" ).empty();
					$( "#oktmo" ).append(oktmo);
				},
				onInvalidateSelection: function() {
					console.log("ON INVALIDATE SELECTION");
				}
			});

        $fixDataButton.on("click", function() {
            $suggestions.suggestions().fixData();
        });




        $party.suggestions({
            token: token,
            type: "PARTY",
				onSelect:function(data){
					var short_name_org = data['value'];
					var unrestricted_value_org = data['data']['address']['unrestricted_value'];
					var ogrn = data['data']['ogrn'];
					var inn = data['data']['inn'];
					var kpp = data['data']['kpp'];
					var name_org = data['data']['name']['full_with_opf'];
					var status_org = data['data']['state']['status'];
					
					$( "#short_name_org" ).empty();
					$( "#short_name_org" ).append(short_name_org);
					
					$( "#unrestricted_value_org" ).empty();
					$( "#unrestricted_value_org" ).append(unrestricted_value_org);
					
					$( "#ogrn" ).empty();
					$( "#ogrn" ).append(ogrn);

					$( "#inn" ).empty();
					$( "#inn" ).append(inn);
					
					$( "#kpp" ).empty();
					$( "#kpp" ).append(kpp);
					
					$( "#name_org" ).empty();
					$( "#name_org" ).append(name_org);
					
					$( "#status_org" ).empty();
					$( "#status_org" ).append(status_org);
				}
        });
		

		
    });
})();


function copyToClipboard(element) {
	var $temp = $("<input>");
	$("body").append($temp);
	$temp.val($(element).text()).select();
	document.execCommand("copy");
	$temp.remove();
}


